package com.eactive.eai.batch.scheduler;

import java.io.Serializable;

public class JobFileTransferVO implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private String subUuid           = "";
	private String bjobMsgScheID     = "";
	private String bjobBzwkDstcd     = "";
	private String bjobBzwkName      = "";
	private String osidInstiDstcd    = "";
	private String osidInstiName     = "";
	private String bjobTranDstcdName = "";
	private String bjobMsgDstcd      = "";
	private String sendRecvYn        = "";
	private String sndrcvCyclTypName = "";
	private String uapplCd           = "";
	private String thisMsgChrgIDs    = "";
	private String sndrcvStartHMS    = "";
	private String sndrcvEndHMS      = "";
	private String filePath          = "";
	private String fileName          = "";
	private String hdrInfoName       = "";
	private String renamedFileName   = "";

	private String uuid              = "";
	public String getUuid() {
		return uuid;
	}
	public void setUuid(String uuid) {
		this.uuid = uuid;
	}
	public String getSubUuid() {
		return subUuid;
	}
	public void setSubUuid(String subUuid) {
		this.subUuid = subUuid;
	}
	public String getRenamedFileName() {
		return renamedFileName;
	}
	public void setRenamedFileName(String renamedFileName) {
		this.renamedFileName = renamedFileName;
	}
	public String getFilePath() {
		return filePath;
	}
	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}
	public String getFileName() {
		return fileName;
	}
	public void setFileName(String fileName) {
		this.fileName = fileName;
	}
	public String getHdrInfoName() {
		return hdrInfoName;
	}
	public void setHdrInfoName(String hdrInfoName) {
		this.hdrInfoName = hdrInfoName;
	}
	public String getBjobBzwkDstcd() {
		return bjobBzwkDstcd;
	}
	public void setBjobBzwkDstcd(String bjobBzwkDstcd) {
		this.bjobBzwkDstcd = bjobBzwkDstcd;
	}
	public String getBjobMsgDstcd() {
		return bjobMsgDstcd;
	}
	public void setBjobMsgDstcd(String bjobMsgDstcd) {
		this.bjobMsgDstcd = bjobMsgDstcd;
	}
	public String getBjobMsgScheID() {
		return bjobMsgScheID;
	}
	public void setBjobMsgScheID(String bjobMsgScheID) {
		this.bjobMsgScheID = bjobMsgScheID;
	}
	public String getBjobTranDstcdName() {
		return bjobTranDstcdName;
	}
	public void setBjobTranDstcdName(String bjobTranDstcdName) {
		this.bjobTranDstcdName = bjobTranDstcdName;
	}
	public String getOsidInstiDstcd() {
		return osidInstiDstcd;
	}
	public void setOsidInstiDstcd(String osidInstiDstcd) {
		this.osidInstiDstcd = osidInstiDstcd;
	}
	public String getSendRecvYn() {
		return sendRecvYn;
	}
	public void setSendRecvYn(String sendRecvYn) {
		this.sendRecvYn = sendRecvYn;
	}
	public String getSndrcvCyclTypName() {
		return sndrcvCyclTypName;
	}
	public void setSndrcvCyclTypName(String sndrcvCyclTypName) {
		this.sndrcvCyclTypName = sndrcvCyclTypName;
	}
	public String getSndrcvEndHMS() {
		return sndrcvEndHMS;
	}
	public void setSndrcvEndHMS(String sndrcvEndHMS) {
		this.sndrcvEndHMS = sndrcvEndHMS;
	}
	public String getSndrcvStartHMS() {
		return sndrcvStartHMS;
	}
	public void setSndrcvStartHMS(String sndrcvStartHMS) {
		this.sndrcvStartHMS = sndrcvStartHMS;
	}
	public String getUapplCd() {
		return uapplCd;
	}
	public void setUapplCd(String uapplCd) {
		this.uapplCd = uapplCd;
	}
	public String toString() {
		StringBuffer sb = new StringBuffer();
	    sb.append("bjobMsgScheID     = [" + bjobMsgScheID     + "]\n");
        sb.append("bjobBzwkDstcd     = [" + bjobBzwkDstcd     + "]\n");
        sb.append("bjobBzwkName      = [" + bjobBzwkName      + "]\n");
        sb.append("osidInstiDstcd    = [" + osidInstiDstcd    + "]\n");
        sb.append("osidInstiName     = [" + osidInstiName     + "]\n");
        sb.append("bjobTranDstcdName = [" + bjobTranDstcdName + "]\n");
        sb.append("bjobMsgDstcd      = [" + bjobMsgDstcd      + "]\n");
        sb.append("sendRecvYn        = [" + sendRecvYn        + "]\n");
        sb.append("sndrcvCyclTypName = [" + sndrcvCyclTypName + "]\n");
        sb.append("uapplCd           = [" + uapplCd           + "]\n");
        sb.append("ThisMsgChrgIDs    = [" + thisMsgChrgIDs    + "]\n");
        sb.append("sndrcvStartHMS    = [" + sndrcvStartHMS    + "]\n");
        sb.append("sndrcvEndHMS      = [" + sndrcvEndHMS      + "]\n");
        return new String(sb);
	
	}
	public String getBjobBzwkName() {
		return bjobBzwkName;
	}
	public void setBjobBzwkName(String bjobBzwkName) {
		this.bjobBzwkName = bjobBzwkName;
	}
	public String getOsidInstiName() {
		return osidInstiName;
	}
	public void setOsidInstiName(String osidInstiName) {
		this.osidInstiName = osidInstiName;
	}
	public String getThisMsgChrgIDs() {
		return thisMsgChrgIDs;
	}
	public void setThisMsgChrgIDs(String thisMsgChrgIDs) {
		this.thisMsgChrgIDs = thisMsgChrgIDs;
	}

	
}
                